using System;
using System.Data;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using EKETEAM.FrameWork;
using EKETEAM.Data;

namespace eFrameWork.Application
{
    public partial class Default : System.Web.UI.Page
    {
        public eUser user;
        public ApplicationMenu appmenu;
        public string appTitle = "";

        protected void Page_Load(object sender, EventArgs e)
        {
            user = new eUser("Application");
            user.Check();
            appTitle = eConfig.ApplicationTitle(user["SiteID"].ToString()); 

            appmenu = new ApplicationMenu(user);

            if (appmenu.UserApps.Rows.Count == 0)
            {
                Response.Write("没有权限!&nbsp;&nbsp;<a href=\"Login.aspx\">重新登录</a>");
                Response.End();
            }


            appmenu.UserApps.DefaultView.Sort = "appSort";
            DataTable tb = appmenu.UserApps.DefaultView.ToTable(true, "ApplicationID", "MC", "Pic");
            //eBase.PrintDataTable(appmenu.UserApps);
           
            if (tb.Rows.Count == 0)
            {
                Response.Write("没有权限!&nbsp;&nbsp;<a href=\"Login.aspx\">重新登录</a>");
                Response.End();
            }
            if (tb.Rows.Count == 1) //直接跳转应用
            {
                string ApplicationID = tb.Rows[0]["ApplicationID"].ToString();
                string url = appmenu.getTopModelUrl(ApplicationID);      
                Response.Redirect(url, true);
            }
            else //用户选择应用
            {
                //eBase.PrintDataTable(tb);
                //Rep.ItemDataBound += new RepeaterItemEventHandler(Rep_ItemDataBound);
                Rep.DataSource = tb;
                Rep.DataBind();
            }
        }
        
        protected void Rep_ItemDataBound(object sender, RepeaterItemEventArgs e)
        {
            if (e.Item.ItemType == ListItemType.Item || e.Item.ItemType == ListItemType.AlternatingItem)
            {
                Control ctrl = e.Item.Controls[0];
                Literal lit = (Literal)ctrl.FindControl("LitTags");
                if (lit != null)
                {
                    //lit.Text = DataBinder.Eval(e.Item.DataItem, "ModelTabID").ToString();
                }
            }
        }
    }
}